"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const rx_1 = require("@reactive-js/rx");
exports.fromEvent = (target, eventName, selector) => rx_1.createObservable(observer => {
    const listener = (event) => {
        try {
            const result = selector(event);
            observer.onNext(result);
        }
        catch (cause) {
            observer.onComplete({ cause });
        }
    };
    target.addEventListener(eventName, listener, { passive: true });
    return () => {
        target.removeEventListener(eventName, listener);
    };
});
//# sourceMappingURL=event.js.map